#ifndef _Henget_HPP_
#define _Henget_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class Henki
{
public:

    Henki();
    ~Henki();
    void render(float pos, float alpha);
    float st;
    float et;

    bool active;
    Vector prevpos;
    Vector curpos;

    float shade;

    CatmullRom *spline;
};

class HenkiParticle
{
public:
    float energy;
    float maxenergy;
    Vector pos;
    bool active;
    float shade;
};


class Henget : public Base
{
	public:

		Henget();
		~Henget();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int hcount;
        Henki **henget;
        int pcount;
        HenkiParticle *particles;
		void renderScene(float pos, float alpha);
};

#endif
